Debian Bug report logs - #513204
php5-mysql: doesn't crash anymore if I use taskset to launch my php script

version graph

Package: php5-mysql; Maintainer for php5-mysql is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5-mysql is src:php5.

Reported by: Michael Bonfils <murlock42@gmail.com>

Date: Tue, 27 Jan 2009 09:39:02 UTC

Severity: important

Tags: moreinfo, pending

Merged with 520128

Found in version php5/5.2.6.dfsg.1-0.1~lenny1

Fixed in version mysql-dfsg-5.0/5.0.51a-24+lenny2+spu1

Done: Sean Finney <seanius@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, murlock42@gmail.com, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 27 Jan 2009 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Bonfils <murlock42@gmail.com>:
New Bug report received and forwarded. Copy sent to murlock42@gmail.com, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 27 Jan 2009 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Bonfils <murlock42@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Tue, 27 Jan 2009 10:36:17 +0100
Package: php5-mysql
Version: 5.2.6.dfsg.1-0.1~lenny1
Severity: important


As others, I've a lot of problem with PHP when mysql/mysqli is enabled.
Bu I've found that if I use taskset to launch my php script, it works.

My minimal example t.sh
while true; do
	echo '<?php echo "toto tata \n";' | php
	if [ $? -ne 0 ]; then 
		break
	fi
done

it crash but when I run with 
	taskset 0x1 t.sh
it works
My 2 cents,

Michael



-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable'), (100, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages php5-mysql depends on:
ii  libapache2-mod-p 5.2.6.dfsg.1-0.1~lenny1 server-side, HTML-embedded scripti
ii  libc6            2.7-18                  GNU C Library: Shared libraries
ii  libmysqlclient15 5.0.51a-21              MySQL database client library
ii  php5-cgi [phpapi 5.2.6.dfsg.1-0.1~lenny1 server-side, HTML-embedded scripti
ii  php5-cli [phpapi 5.2.6.dfsg.1-0.1~lenny1 command-line interpreter for the p
ii  php5-common      5.2.6.dfsg.1-0.1~lenny1 Common files for packages built fr

php5-mysql recommends no packages.

php5-mysql suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 27 Jan 2009 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 27 Jan 2009 17:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Michael Bonfils <murlock42@gmail.com>, 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Tue, 27 Jan 2009 18:39:15 +0100
[Message part 1 (text/plain, inline)]
hi michael,

On Tue, Jan 27, 2009 at 10:36:17AM +0100, Michael Bonfils wrote:
> My minimal example t.sh
> while true; do
> 	echo '<?php echo "toto tata \n";' | php
> 	if [ $? -ne 0 ]; then 
> 		break
> 	fi
> done

very strange indeed... i can reproduce it after a variable number of
executions, seemingly between 500-5000 executions.  my slightly modified
version:

while true; do         
	echo '<?php echo "toto tata \n";' | php;         
	if [ $? -ne 0 ]; then   
		echo died after ${i:-0};        
		break; 
	else 
		i=$(expr ${i:-0} + 1);         
	fi; 
done

output:

...
toto tata 
toto tata 
Segmentation fault (core dumped)
died after 4922
rangda[/home/sean]                                                           :) 

the backtrace is equally odd:

#0  0x00007f4f4d05fed0 in ?? ()
#1  0x00007f4f4da25fc7 in start_thread () from /lib/libpthread.so.0
#2  0x00007f4f4e0a55ad in clone () from /lib/libc.so.6
#3  0x0000000000000000 in ?? ()

the fact that restricting it to a single cpu seems to make it go away is
even fishier...


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 03 Feb 2009 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Todd Courtnage <todd@cambrianhouse.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 03 Feb 2009 19:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 513204@bugs.debian.org (full text, mbox):

From: Todd Courtnage <todd@cambrianhouse.com>
To: 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Tue, 03 Feb 2009 12:12:34 -0700
> the fact that restricting it to a single cpu seems to make it go away
> is even fishier...

I can confirm that using taskset to restrict it to a certain CPU works.

$ taskset --cpu-list 0 <php script>

Running on CPU 0, my script will radnomly segfault, about 10% of the
time.

$ taskset --cpu-list 1 <php script>

Running on CPU 1, my script doesn't segfault.

Todd






Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 04 Feb 2009 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 04 Feb 2009 02:21:02 GMT) Full text and rfc822 format available.

Message #20 received at 513204@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64+debian@gmail.com>
To: 513204@bugs.debian.org
Cc: Michael Bonfils <murlock42@gmail.com>
Subject: Re: [php-maint] Bug#513204: Bug#513204: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Tue, 3 Feb 2009 20:19:59 -0600
[Message part 1 (text/plain, inline)]
2009/1/27 sean finney <seanius@debian.org>:
[...]
> the backtrace is equally odd:
>
> #0  0x00007f4f4d05fed0 in ?? ()
> #1  0x00007f4f4da25fc7 in start_thread () from /lib/libpthread.so.0
> #2  0x00007f4f4e0a55ad in clone () from /lib/libc.so.6
> #3  0x0000000000000000 in ?? ()
>


$ gdb -c core.12186 /usr/bin/php5
Program terminated with signal 11, Segmentation fault.
[New process 12202]
[New process 12186]
#0  0xb7391e90 in ?? ()
(gdb) bt
#0  0xb7391e90 in ?? ()
#1  0xb77944c0 in start_thread () from /lib/i686/cmov/libpthread.so.0
#2  0xb79db6de in clone () from /lib/i686/cmov/libc.so.6

$ gdb -c core.12025 /usr/bin/php5
Program terminated with signal 11, Segmentation fault.
[New process 12026]
[New process 12025]
#0  0xb6bb03cf in ?? () from /lib/libgcc_s.so.1
(gdb) bt
#0  0xb6bb03cf in ?? () from /lib/libgcc_s.so.1
#1  0xb6bb0c63 in ?? () from /lib/libgcc_s.so.1
#2  0xb6bb0d8b in _Unwind_ForcedUnwind () from /lib/libgcc_s.so.1
#3  0xb784bee6 in _Unwind_ForcedUnwind () from /lib/i686/cmov/libpthread.so.0
#4  0xb7849901 in __pthread_unwind () from /lib/i686/cmov/libpthread.so.0
#5  0xb7843a20 in pthread_exit () from /lib/i686/cmov/libpthread.so.0
#6  0xb7a98b14 in pthread_exit () from /lib/i686/cmov/libc.so.6
#7  0xb7440eae in ?? ()
#8  0x00000000 in ?? ()

Attached is the strace, not surprisingly it died with a futex operation.
Attached is also the script I'm using to collect tha data.

libmysqlclient15off's dbg symbols don't help.

BUT, as weird as it may be, on another attempt both cores had exactly
the same backtrace (except for memory addresses). Strace of that other
attempt, which is actually different, attached as trace.by17014.gz.

Cheers,
-- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net

Samuel Goldwyn  - "I had a monumental idea this morning, but I didn't like it."
[trace.by9735.gz (application/x-gzip, attachment)]
[php-mysql_crasher.sh (application/x-sh, attachment)]
[trace.by17014.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 04 Feb 2009 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 04 Feb 2009 07:36:02 GMT) Full text and rfc822 format available.

Message #25 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Raphael Geissert <atomo64+debian@gmail.com>, 513204@bugs.debian.org
Cc: Michael Bonfils <murlock42@gmail.com>
Subject: Re: [php-maint] Bug#513204: Bug#513204: Bug#513204: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Wed, 4 Feb 2009 08:29:52 +0100
[Message part 1 (text/plain, inline)]
On Tue, Feb 03, 2009 at 08:19:59PM -0600, Raphael Geissert wrote:
> Attached is the strace, not surprisingly it died with a futex operation.
> Attached is also the script I'm using to collect tha data.
> 
> libmysqlclient15off's dbg symbols don't help.
> 
> BUT, as weird as it may be, on another attempt both cores had exactly
> the same backtrace (except for memory addresses). Strace of that other
> attempt, which is actually different, attached as trace.by17014.gz.

i wonder if there was some kind of unannounced breakage in the 
libmysqlclient abi from one of the security updates, or something 
similarly sinister and obscure with another library (libapr, i'm looking
at you...).  maybe we should try recompiling the current etch package
in an etch chroot with security updates applied ahead of time, to see
if that makes the problem disappear?

i won't have time to do this in the next couple of days, and actually my
dual core machine is offline with hw problems anyway, but maybe by this weekend
i'll be able to try this out.


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 13 Feb 2009 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 13 Feb 2009 23:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Martin Koegler <mkoegler@auto.tuwien.ac.at>, 515143@bugs.debian.org
Cc: 513204@bugs.debian.org, 493045@bugs.debian.org, 513204-submitter@bugs.debian.org, 493045-submitter@bugs.debian.org
Subject: Re: Bug#515143: Race condition in libmysqlclient15_r
Date: Sat, 14 Feb 2009 00:50:49 +0100
[Message part 1 (text/plain, inline)]
hi martin,

thanks for digging this up!  these crashes have been really difficult to
investigate on the php-side of things.  

we are so ridiculously close to releasing that i don't think it's possible
to get a fix for this into lenny before that happens, but something like
this should definitely be fixed in lenny-proposed-updates and propagated
into the next release update.

i'm cc'ing the other bugs that you've referenced, which i'll keep seperate
for now until you can confirm the problem and fix.


	sean

On Fri, Feb 13, 2009 at 11:11:17PM +0100, Martin Koegler wrote:
> Package: libmysqlclient15off
> Version: 5.0.51a-24
> 
> There is a race condition in libmysqlclient15off:
> http://bugs.mysql.com/bug.php?id=42850
> 
> On one vmware system, I can trigger this race condition with
> php5-cli+php5-mysql.
> 
> Message 10 of #513204 and message 53 of #493045 look similar to resulting
> segfault on my system.
> 
> The easiest solution would be to drop the workaround, which introduced
> this race condition:
> http://lists.mysql.com/commits/16642
> 
> I'm currently testing, if it is still needed for libc6 2.7-18.
> 
> mfg Martin Kögler
> 
> 
> 

-- 
[signature.asc (application/pgp-signature, inline)]

Message sent on to Michael Bonfils <murlock42@gmail.com>:
Bug#513204. (Fri, 13 Feb 2009 23:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sat, 14 Feb 2009 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mkoegler@auto.tuwien.ac.at (Martin Koegler):
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 14 Feb 2009 15:12:03 GMT) Full text and rfc822 format available.

Message #38 received at 513204@bugs.debian.org (full text, mbox):

From: mkoegler@auto.tuwien.ac.at (Martin Koegler)
To: 515143@bugs.debian.org
Cc: 513204@bugs.debian.org, 493045@bugs.debian.org, 513204-submitter@bugs.debian.org, 493045-submitter@bugs.debian.org, sean finney <seanius@debian.org>
Subject: Bug#515143: [PATCH] remove glibc workaround
Date: Sat, 14 Feb 2009 16:11:11 +0100
[Message part 1 (text/plain, inline)]
The attaced patch removes the startup of the dummy thread.

With this patch, I can't trigger a segfault in php-cli anymore.
strace confirms, that that php does not spawn a thread any more.
The patch passes the mysql server test suite in the build.

So I assume, that the workround is not neccesary in lenny any more.

mfg Martin Kögler
[mysql-race.patch (text/x-diff, attachment)]

Message sent on to Michael Bonfils <murlock42@gmail.com>:
Bug#513204. (Sat, 14 Feb 2009 15:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sun, 15 Feb 2009 12:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 15 Feb 2009 12:00:07 GMT) Full text and rfc822 format available.

Message #46 received at 513204@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Martin Koegler <mkoegler@auto.tuwien.ac.at>, 515143@bugs.debian.org
Cc: 513204@bugs.debian.org, 493045-submitter@bugs.debian.org, 513204-submitter@bugs.debian.org, 493045@bugs.debian.org
Subject: Re: [debian-mysql] Bug#515143: [PATCH] remove glibc workaround
Date: Sun, 15 Feb 2009 12:58:44 +0100
Am Samstag, den 14.02.2009, 16:11 +0100 schrieb Martin Koegler:
> The attaced patch removes the startup of the dummy thread.
> 
> With this patch, I can't trigger a segfault in php-cli anymore.
> strace confirms, that that php does not spawn a thread any more.
> The patch passes the mysql server test suite in the build.
> 
> So I assume, that the workround is not neccesary in lenny any more.

Thanks, I'll discuss this with the MySQL developers, and put it on my
TODO list for 5.0r1.

	Norbert





Message sent on to Michael Bonfils <murlock42@gmail.com>:
Bug#513204. (Sun, 15 Feb 2009 12:00:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 18 Mar 2009 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Waters <simon@technocool.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 18 Mar 2009 00:06:03 GMT) Full text and rfc822 format available.

Message #54 received at 513204@bugs.debian.org (full text, mbox):

From: Simon Waters <simon@technocool.net>
To: sean finney <seanius@debian.org>, 520128@bugs.debian.org
Cc: 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#520128: php5 segfaulting - unknown cause
Date: Wed, 18 Mar 2009 00:04:47 +0000
sean finney wrote:
> 
> On Tue, Mar 17, 2009 at 03:59:12PM +0000, Simon Waters wrote:
>> Since the upgrade to Lenny /var/log/kern.log reports errors like
>> these below:
>> 
>> Mar 17 00:21:50 bannerman kernel: [1734694.376460] php5[12943]:
>> segfault at b73ace90 ip b73ace90 sp b73123ac error 4
> 
> out of curiosity, are the affected systems smp or multi-core systems?

Live is 2 x  Intel(R) Xeon(TM) CPU 2.40GHz, each processor is
hyperthreaded so it presents as 4 CPUs.

Test is 4 x Intel Pentium III (Cascades) 700Mhz.

> if so, could you verify if your problem is the same as:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=513204

I can reproduce the problem described in this bug on the live machine.

Running t.sh results in a segfault sometimes.

Test server wasn't reproducing till I did a "stress -c 4 -i 4 -m 4 &" to
 create some activity, at which point it usually segfaults quite quickly
- only a handful of iterations.

Commenting out "mysqli" and "mysql" extensions from the
/etc/php5/cli/conf.d/ scripts, appears to resolve the segfaults on the
test server.











Merged 513204 520128. Request was from Simon Waters <simon@technocool.net> to control@bugs.debian.org. (Wed, 18 Mar 2009 00:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 26 Mar 2009 13:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 26 Mar 2009 13:33:07 GMT) Full text and rfc822 format available.

Message #61 received at 513204@bugs.debian.org (full text, mbox):

From: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
To: 513204@bugs.debian.org
Subject: php5 segfaults
Date: Thu, 26 Mar 2009 14:27:14 +0100
hi,

i am also confronted with this issue and am wondering why php will crash
with a segmentation fault even if no mysql method/function is invoced


i ran the script you posted and it crashed after approx 1800
invocations on a not-that-busy LAMP webserver.

Out of curiosity i altered the script to invoke "php -n" which will
ignore any extensions specified in /etc/php5/conf.d/ and for my quick
tests, i am now at 13900 invocations of

> echo '<?php echo "toto tata \n";' | php -n;

without any crash.

do you need any more testing or do you have enough information to
start the process for pushing a patch to stable?

cheers,
raoul
-- 
____________________________________________________________________
DI (FH) Raoul Bhatia M.Sc.          email.          r.bhatia@ipax.at
Technischer Leiter

IPAX - Aloy Bhatia Hava OEG         web.          http://www.ipax.at
Barawitzkagasse 10/2/2/11           email.            office@ipax.at
1190 Wien                           tel.               +43 1 3670030
FN 277995t HG Wien                  fax.            +43 1 3670030 15
____________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 26 Mar 2009 14:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 26 Mar 2009 14:54:02 GMT) Full text and rfc822 format available.

Message #66 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>, 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: php5 segfaults
Date: Thu, 26 Mar 2009 15:50:44 +0100
[Message part 1 (text/plain, inline)]
hi,

On Thu, Mar 26, 2009 at 02:27:14PM +0100, Raoul Bhatia [IPAX] wrote:
> do you need any more testing or do you have enough information to
> start the process for pushing a patch to stable?

i think at this point the problem is fully analyzed as a problem
in libmysqlclient and not php (but if you use php5-mysql then you're
linking against libmysqlclient and thus affected, even if you don't
call mysql functions).  there should be an eventual update for libmysqlclient
to stable, but i'm not aware of exactly when.  in the meantime you can
circumvent the problem by using the unfortunate workaround of restricting
apache/php to a single processor (i.e. taskset).


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 01 Apr 2009 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lawrence Ong <long.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 01 Apr 2009 00:09:03 GMT) Full text and rfc822 format available.

Message #71 received at 513204@bugs.debian.org (full text, mbox):

From: Lawrence Ong <long.debian@gmail.com>
To: 513204@bugs.debian.org
Subject: VMWare and taskset
Date: Wed, 1 Apr 2009 11:05:46 +1100
[Message part 1 (text/plain, inline)]
The workaround presented for this bug is to use taskset.

The problem that I have right now is that i am using VMWare.  The real
physical server have 2 CPUs, but the VMWare guest OS is only configured to
use one CPU.  This means that I cannot use taskset for setting it against
CPU number 1 because the VM thinks that it only have one CPU.

For me, running the t.sh test on a Dual Core AMD Opteron Server (Guest OS
itself having only 1 CPU), cause a core dump as well.  Trying the VM out on
a server where there is only a single real physical CPU works fine without
any crash.  Just my findings.  Not sure if anybody else is having this same
issue.

Lawrence
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 14 Apr 2009 13:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Waters <simonw@zynet.net>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 14 Apr 2009 13:42:02 GMT) Full text and rfc822 format available.

Message #76 received at 513204@bugs.debian.org (full text, mbox):

From: Simon Waters <simonw@zynet.net>
To: 513204@bugs.debian.org
Cc: seanius@debian.org
Subject: Progress?
Date: Tue, 14 Apr 2009 14:39:29 +0100
The workaround is described as taskset for PHP/Apache.

Any specific advice on how best to do this. As applying taskset to the apache 
process forces all subprocesses including fastcgi processes to use the same 
CPU, reducing the machine down to effectively a single CPU machine. (Note the 
kernel doesn't reschedule processes to other processors lightly, so anyone 
seeing this issue had a need of more than one CPU for running the process in 
question at least once).

I can probably force the FASTCGI processes to use additional processors which 
might resolve the issue on one of our servers, but down this road lies 
madness and micromanagement of which processor each process is using, and is 
unlikely to be applicable to all those affected.

I don't see a fix in the mysql client changelog for sid. Are there fixed 
versions of the relevant packages available anywhere?

I'd have thought "unable to run LAMP stack reliably with PHP segfaulting" 
would count as a major bug in terms of sending a fix out asap. Have you been 
advised that it isn't suitable?

 Simon






















Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 16 Apr 2009 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 16 Apr 2009 10:48:04 GMT) Full text and rfc822 format available.

Message #81 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Simon Waters <simonw@zynet.net>
Cc: 513204@bugs.debian.org, control@bugs.debian.org
Subject: Re: Progress?
Date: Thu, 16 Apr 2009 12:29:42 +0200
[Message part 1 (text/plain, inline)]
clone 513204 -1
reassign -1 libmysqlclient15
found -1 5.0.51a-24
notfound -1 5.0.77-1
block 513204 by -1
thanks

hi simon,

On Tue, Apr 14, 2009 at 02:39:29PM +0100, Simon Waters wrote:
> Any specific advice on how best to do this. As applying taskset to the apache 
> process forces all subprocesses including fastcgi processes to use the same 
> CPU, reducing the machine down to effectively a single CPU machine. (Note the 

yes, that's unfortunately the workaround at the moment.

> I don't see a fix in the mysql client changelog for sid. Are there fixed 
> versions of the relevant packages available anywhere?

i believe that sid is not affected by this due to later upstream code
changes.

> I'd have thought "unable to run LAMP stack reliably with PHP segfaulting" 
> would count as a major bug in terms of sending a fix out asap. Have you been 
> advised that it isn't suitable?

yes but on the php side i don't think there's anything we can do.  the mysql
maintainer has been made aware of the problem but perhaps it's been dropped
from his radar.  i believe he's even found the problematic patch.
i'm going to clone/reassign/block the bug to make sure that the problem
stays visible.


	sean
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 513204 added: Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 10:48:05 GMT) Full text and rfc822 format available.

Disconnected #513204 from all other report(s). Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 14:57:02 GMT) Full text and rfc822 format available.

Bug 513204 cloned as bug 524366. Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 14:57:03 GMT) Full text and rfc822 format available.

Blocking bugs of 513204 added: 524366 Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 14:57:07 GMT) Full text and rfc822 format available.

Forcibly Merged 513204 520128. Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 14:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 16 Apr 2009 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 16 Apr 2009 21:24:04 GMT) Full text and rfc822 format available.

Message #96 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Norbert Tretkowski <norbert@tretkowski.de>, 515143@bugs.debian.org
Cc: 513204@bugs.debian.org, 493045@bugs.debian.org, 524366@bugs.debian.org
Subject: Re: [debian-mysql] Bug#515143: Bug#515143: [PATCH] remove glibc workaround
Date: Thu, 16 Apr 2009 23:17:19 +0200
[Message part 1 (text/plain, inline)]
hi norbert,

On Sun, Feb 15, 2009 at 12:58:44PM +0100, Norbert Tretkowski wrote:
> Am Samstag, den 14.02.2009, 16:11 +0100 schrieb Martin Koegler:
> > The attaced patch removes the startup of the dummy thread.
> > 
> > With this patch, I can't trigger a segfault in php-cli anymore.
> > strace confirms, that that php does not spawn a thread any more.
> > The patch passes the mysql server test suite in the build.
> > 
> > So I assume, that the workround is not neccesary in lenny any more.
> 
> Thanks, I'll discuss this with the MySQL developers, and put it on my
> TODO list for 5.0r1.

ping :)

the users are getting restless (and sarcastic) in php land...  do you
need help preparing something for s-p-u?


	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 16 Apr 2009 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lawrence Ong <long.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 16 Apr 2009 23:39:05 GMT) Full text and rfc822 format available.

Message #101 received at 513204@bugs.debian.org (full text, mbox):

From: Lawrence Ong <long.debian@gmail.com>
To: 513204@bugs.debian.org
Subject: Alternate Workaround to Taskset
Date: Fri, 17 Apr 2009 09:37:03 +1000
[Message part 1 (text/plain, inline)]
On Tue, Apr 14, 2009 at 02:39:29PM +0100, Simon Waters wrote:
> Any specific advice on how best to do this. As applying taskset to the
apache
> process forces all subprocesses including fastcgi processes to use the
same
> CPU, reducing the machine down to effectively a single CPU machine. (Note
the

Not sure if anybody realised this, but there is a patch provided for this
bug as provided by Martin Kögler earlier on with his patch, so using taskset
is not necessary.

Lawrence
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 17 Apr 2009 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 17 Apr 2009 08:51:03 GMT) Full text and rfc822 format available.

Message #106 received at 513204@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: sean finney <seanius@debian.org>
Cc: 515143@bugs.debian.org, 513204@bugs.debian.org, 493045@bugs.debian.org, 524366@bugs.debian.org
Subject: Re: [debian-mysql] Bug#515143: Bug#515143: [PATCH] remove glibc workaround
Date: Fri, 17 Apr 2009 10:49:21 +0200
Am Donnerstag, den 16.04.2009, 23:17 +0200 schrieb sean finney:
> the users are getting restless (and sarcastic) in php land...

I don't care about sarcasm in php land...

> do you need help preparing something for s-p-u?

Yes. I'm currently the only person working on the MySQL packages in
Debian, and could really need some help.

	Norbert





Tags added: pending Request was from Sean Finney <seanius@alioth.debian.org> to control@bugs.debian.org. (Sat, 18 Apr 2009 07:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sat, 18 Apr 2009 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 18 Apr 2009 16:00:04 GMT) Full text and rfc822 format available.

Message #113 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Michael Bonfils <murlock42@gmail.com>, 513204@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>, Todd Courtnage <todd@cambrianhouse.com>, Martin Koegler <mkoegler@auto.tuwien.ac.at>, 515143@bugs.debian.org, Norbert Tretkowski <norbert@tretkowski.de>, "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>, Lawrence Ong <long.debian@gmail.com>, Simon Waters <simonw@zynet.net>
Cc: 493045-submitter@bugs.debian.org, 513204-submitter@bugs.debian.org, 493045@bugs.debian.org, 524366@bugs.debian.org, control@bugs.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Subject: request for testing fix for #513204
Date: Sat, 18 Apr 2009 17:55:31 +0200
[Message part 1 (text/plain, inline)]
tags 513204 moreinfo
thanks

hi everyone,

after speaking with the mysql maintainer i've prepared a proposed update
for the stable/lenny version of mysql containing the fix from Martin Koegler.
for those of you who are affected, can you please try the following in
your sources.list:

deb http://people.debian.org/~seanius/mysql/513204/amd64 ./

or

deb http://people.debian.org/~seanius/mysql/513204/i386 ./

depending on your architecture, and apt-get update/upgrade.
the new version of libmysqlclient15off containing the fix should be
5.0.51a-24lenny1.  you probably don't need any more than the updated
libmysqlclient15off package (so you could also just manually download
and install it).

please report back with success (or failure) reports, and if it sounds
like this fixes the problems with no ill effects then i'll send this
to stable-proposed-updates and it will be hopefully included in the
next stable point release.


	sean

-- 
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from sean finney <seanius@debian.org> to control@bugs.debian.org. (Sat, 18 Apr 2009 16:00:10 GMT) Full text and rfc822 format available.

Message sent on to Michael Bonfils <murlock42@gmail.com>:
Bug#513204. (Sat, 18 Apr 2009 16:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sat, 18 Apr 2009 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 18 Apr 2009 16:24:04 GMT) Full text and rfc822 format available.

Message #123 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: Michael Bonfils <murlock42@gmail.com>, 513204@bugs.debian.org, Raphael Geissert <atomo64+debian@gmail.com>, Todd Courtnage <todd@cambrianhouse.com>, Martin Koegler <mkoegler@auto.tuwien.ac.at>, 515143@bugs.debian.org, Norbert Tretkowski <norbert@tretkowski.de>, "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>, Lawrence Ong <long.debian@gmail.com>, Simon Waters <simonw@zynet.net>
Cc: 493045-submitter@bugs.debian.org, 513204-submitter@bugs.debian.org, 493045@bugs.debian.org, 524366@bugs.debian.org
Subject: Re: request for testing fix for #513204
Date: Sat, 18 Apr 2009 18:22:35 +0200
[Message part 1 (text/plain, inline)]
sorry for the mail flood..

On Sat, Apr 18, 2009 at 05:55:31PM +0200, sean finney wrote:
> depending on your architecture, and apt-get update/upgrade.
> the new version of libmysqlclient15off containing the fix should be
> 5.0.51a-24lenny1.  you probably don't need any more than the updated
> libmysqlclient15off package (so you could also just manually download
> and install it).

oh, and maybe it goes without saying but just to be totally clear: you'll
also need to stop / start apache2 as well.


	sean
[signature.asc (application/pgp-signature, inline)]

Message sent on to Michael Bonfils <murlock42@gmail.com>:
Bug#513204. (Sat, 18 Apr 2009 16:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 08 May 2009 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Chelidze <ubralod@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 08 May 2009 22:18:03 GMT) Full text and rfc822 format available.

Message #131 received at 513204@bugs.debian.org (full text, mbox):

From: George Chelidze <ubralod@gmail.com>
To: 513204@bugs.debian.org
Subject: segfaults with libmysqlclinetoff 5.0.51a-24+lenny1/php5-cgi 5.2.6.dfsg.1-1+lenny3
Date: Sat, 09 May 2009 02:15:18 +0400
Hello,

installing packages from provided linked fixed the problem before
php5-cgi 5.2.6.dfsg.1-1+lenny3 appeared on May 5th. I get segfaults
since then.

Best Regards,

George








Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 29 May 2009 10:45:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Mazelier <raph@b3g.fr>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 29 May 2009 10:45:34 GMT) Full text and rfc822 format available.

Message #136 received at 513204@bugs.debian.org (full text, mbox):

From: Raphael Mazelier <raph@b3g.fr>
To: 513204@bugs.debian.org
Subject: segfaults with libmysqlclinetoff 5.0.51a-24+lenny1/php5-cgi again
Date: Fri, 29 May 2009 12:10:05 +0200
[Message part 1 (text/plain, inline)]
Hello,

Like George Chelidze I install package from deb 
http://people.debian.org/~seanius/mysql/513204/i386 
<http://people.debian.org/%7Eseanius/mysql/513204/i386> ./ and it fix 
the problem. My php script doesn't segfault anymore. However with the 
last update of the package, php-cli segfault again. It would be nice if 
the bug were fixed in the main branch.

For the moment I was forced to hold theses packages, and that's not very 
clean.




-- 

 Raphael Mazelier
 Tel: +33 175 00 85 23
 Direction Technique - Responsable Systemes
 B3G Telecom - 15-17 rue Auber 75009 Paris
 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Mon, 15 Jun 2009 19:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noel T." <herrnoel@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Mon, 15 Jun 2009 19:15:02 GMT) Full text and rfc822 format available.

Message #141 received at 513204@bugs.debian.org (full text, mbox):

From: "Noel T." <herrnoel@yahoo.com>
To: 513204@bugs.debian.org
Subject: segfaults averted using only PDO?
Date: Mon, 15 Jun 2009 12:03:12 -0700 (PDT)
I have two pretty fresh builds of Lenny running on amd64 arch (a single cpu/dual core (2 cores) and a dual cpu/dual core (4 cores)), and have been getting these segfault issues.  The machines were set up in late May and thus have all the latest from the repos.

I confirmed using the shell script that mysql extensions are the problem (both php5-mysql and php5-mysqli).  What I'd like to point out and ask others to confirm is that the PDO mysql extension seems to work fine.  I'm running the script now with mysql.so and mysqli.so disabled but PDO mysql enabled and I'm 22,000th iteration.  This is a lot better than dying after 700 runs!

I also confirm that running on one cpu with taskset seems to avoid the segfaults.  Is the PDO mysql extension making use of a different libmysqlclient?

I'd also like to point out that while my system arch is amd64, debinstaller put the i686 optimized versions of libc6 on my system.  My first segfaults were always happening referencing librt-2.7.so (100%).  I uninstalled the i686 libs and installed the amd64 libs.  After this, the segfaults usually reference libgcc_s.so.1 but still sometimes reference librt-2.7.so (5%).  


      




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 16 Jun 2009 20:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noel T." <herrnoel@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 16 Jun 2009 20:33:02 GMT) Full text and rfc822 format available.

Message #146 received at 513204@bugs.debian.org (full text, mbox):

From: "Noel T." <herrnoel@yahoo.com>
To: 513204@bugs.debian.org
Subject: update to previous post
Date: Tue, 16 Jun 2009 13:31:46 -0700 (PDT)
PDO only setup does not completely prevent the segfaults afterall.  I still get them with the t.sh script and in syslog, but the frequency is reduced by an order of magnitude.  With either mysql.so or mysqli.so enabled, the shell script will segfault typically within 200-2000 iterations.

With only PDO enabled, it's more like 15000-20000 iterations.


      




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 10 Jul 2009 02:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Greg Trounson" <gregt@maths.otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 10 Jul 2009 02:57:03 GMT) Full text and rfc822 format available.

Message #151 received at 513204@bugs.debian.org (full text, mbox):

From: "Greg Trounson" <gregt@maths.otago.ac.nz>
To: 515143@bugs.debian.org, 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: php5-mysql: doesn't crash anymore if I use taskset to launch my php script
Date: Fri, 10 Jul 2009 14:54:49 +1200
(sorry had originally only posted this to bug# 524366)

Hi,

Running php on Linux 2.6.26-2-686 #1 SMP, Lenny, on a 2x Opteron system.

It looks like the patched mysqlclient package has worked here:

# apt-get install libmysqlclient15off=5.0.51a-24lenny1
...
The following packages will be DOWNGRADED:
  libmysqlclient15off
...
WARNING: The following packages cannot be authenticated!
  libmysqlclient15off
...
Preparing to replace libmysqlclient15off 5.0.51a-24+lenny1 (using
.../libmysqlclient15off_5.0.51a-24lenny1_i386.deb) ...
Unpacking replacement libmysqlclient15off ...
Setting up libmysqlclient15off (5.0.51a-24lenny1) ...

I then ran a variant of Michael's php invocation script along with "stress
-c4 &", and after 800,000 iterations it hasn't missed a beat.  Prior to
the package update the script would segfault after the first thousand or
two.  The workaround of prependeding the php call with "taskset -c 0"
worked here too.

If there's no side-effects of this patch I'd recommend it go to stable
asap, with an incremented version number.

Thanks,
Greg




-- 
-- Greg Trounson --------------------------
  Analyst Programmer / System Administrator
  Department of Mathematics and Statistics
  University of Otago, Dunedin, New Zealand
  +64-3-479-7739
-------=[ gregt@maths.otago.ac.nz ]=-------





Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Thu, 13 Aug 2009 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noel T." <herrnoel@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Thu, 13 Aug 2009 10:48:05 GMT) Full text and rfc822 format available.

Message #156 received at 513204@bugs.debian.org (full text, mbox):

From: "Noel T." <herrnoel@yahoo.com>
To: 513204@bugs.debian.org
Subject: downgrade to patch not working...
Date: Thu, 13 Aug 2009 03:16:26 -0700 (PDT)
$ apt-get -s install libmysqlclient15off=5.0.51a-24lenny1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '5.0.51a-24lenny1' for 'libmysqlclient15off' was not found

Do I need to add a repo source?  I have the default set:

$ cat /etc/apt/sources.list
# deb http://mirrors.kernel.org/debian/ lenny main

deb http://mirrors.kernel.org/debian/ lenny main non-free
deb-src http://mirrors.kernel.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main non-free
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main

I wanted to see if this worked for me but unsure of how to proceed.


      




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Fri, 04 Sep 2009 15:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Fri, 04 Sep 2009 15:51:05 GMT) Full text and rfc822 format available.

Message #161 received at 513204@bugs.debian.org (full text, mbox):

From: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
To: 513204@bugs.debian.org
Subject: Re: request for testing fix for #513204
Date: Fri, 04 Sep 2009 17:44:07 +0200
any update on this issue? i tried to follow all the different
bugreports regarding this issue, but am kind of list...


anyways, i can verify crashes with the above test scripts and:
* libmysqlclient15off 5.0.51a-24+lenny2
* php5-mysql 5.2.6.dfsg.1-1+lenny3

using "php -n" (which does not load any modules) i am now at 37600
iterations without a crash.

is it possible to re-create patched test-packages for 5.0.51a-24+lenny2?

thanks,
raoul
-- 
____________________________________________________________________
DI (FH) Raoul Bhatia M.Sc.          email.          r.bhatia@ipax.at
Technischer Leiter

IPAX - Aloy Bhatia Hava OEG         web.          http://www.ipax.at
Barawitzkagasse 10/2/2/11           email.            office@ipax.at
1190 Wien                           tel.               +43 1 3670030
FN 277995t HG Wien                  fax.            +43 1 3670030 15
____________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 08 Sep 2009 09:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 08 Sep 2009 09:30:09 GMT) Full text and rfc822 format available.

Message #166 received at 513204@bugs.debian.org (full text, mbox):

From: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
To: 513204@bugs.debian.org
Subject: Re: request for testing fix for #513204
Date: Tue, 08 Sep 2009 11:26:35 +0200
> anyways, i can verify crashes with the above test scripts and:
> * libmysqlclient15off 5.0.51a-24+lenny2
> * php5-mysql 5.2.6.dfsg.1-1+lenny3
> 
> using "php -n" (which does not load any modules) i am now at 37600
> iterations without a crash.

for the records, i let the script (using php-n) run throughout the
whole weekend and it passed at least 15756800 iterations *without* a
problem.

if you want me to test the libmysql patch, could you *please* update
it for the current lenny version?

thanks,
raoul
-- 
____________________________________________________________________
DI (FH) Raoul Bhatia M.Sc.          email.          r.bhatia@ipax.at
Technischer Leiter

IPAX - Aloy Bhatia Hava OEG         web.          http://www.ipax.at
Barawitzkagasse 10/2/2/11           email.            office@ipax.at
1190 Wien                           tel.               +43 1 3670030
FN 277995t HG Wien                  fax.            +43 1 3670030 15
____________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 08 Sep 2009 10:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 08 Sep 2009 10:24:10 GMT) Full text and rfc822 format available.

Message #171 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>, 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: request for testing fix for #513204
Date: Tue, 8 Sep 2009 11:43:29 +0200
[Message part 1 (text/plain, inline)]
hi raoul,

On Tue, Sep 08, 2009 at 11:26:35AM +0200, Raoul Bhatia [IPAX] wrote:
> for the records, i let the script (using php-n) run throughout the
> whole weekend and it passed at least 15756800 iterations *without* a
> problem.
> 
> if you want me to test the libmysql patch, could you *please* update
> it for the current lenny version?

sorry for not responding earlier, but over the weekend i prepared a new
version of the mysql packages targeted for stable, and am working with
the mysql maintainers to make sure this is imported into the security
branch so that further updates don't revert this change again.

i was waiting until i recieved an acknowledgement from the archive
software that the package was uploaded and approved, but i haven't
yet recieved that.  i'm not sure if it's because it went into a black
hole or that it needs manual review from the release team.  i'll double
check on that now.


regards,
	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Tue, 08 Sep 2009 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Tue, 08 Sep 2009 12:51:05 GMT) Full text and rfc822 format available.

Message #176 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: debian-release@lists.debian.org
Cc: pkg-mysql-maint@lists.alioth.debian.org, 524366@bugs.debian.org, 513204@bugs.debian.org, 477072@bugs.debian.org
Subject: mysql-dfsg-5.0 upload to s-p-u
Date: Tue, 8 Sep 2009 14:31:11 +0200
[Message part 1 (text/plain, inline)]
hi folks,

aplogies for emailing *after* the upload, i spent so long getting one of
the patches tested and working that i ended up uploading without thinking
to email -release first.

anyway, i've uploaded an s-p-u version of mysql-dfsg-5.0 to address two
pretty significant problems with lenny's mysql.  from the changelog:

  [ Sean Finney ]
  * New patch 64_fix-dummy-thread-race-condition.dpatch to back out an
    unneeded workaround that causes segfaults in libmysqlclient15. Thanks
    to Martin Koegler for digging up the patch. (closes: #524366, #513204)

  [ Norbert Tretkowski ]
  * New patch 65_fix_gis_functions_crash.dpatch from 5.0.82 to fix a server
    crash with arbitrary data input plus GIS functions. (closes: #477072)

the first patch fixes what appear to be random segfaults for applications
linking against libmysqlclient15 when run on SMP systems (ex: apache2 with
php5 enabled).  right now the users are forced to use taskset to run the
applications on a single CPU/core.

the second patch is arguably a security/DoS issue, where some improper
SQL issued to GIS-enabled table/database could cause the entire server
die/restart, which cresults in the loss of all active transactions and
any memory based tables.  however it's apparently a bit of a corner case,
and because the first one is arguably *not* a security issue, i figured
that they could both be addressed in this upload.

in the debdiff you may also see some noise from the pofiles/changelog, which
i can only explain to be noise resulting from merging from the security
branch and/or svn-buildpackage (but neither are signficant, it's only a
corrected uploader and some changed line offsets AFAICT).

anyway, assuming that this is okay and gets approval, i'll merge this
into the pkg-mysql security branch (but i wanted to get it through s-p-u
first because of the non-security nature of the first change).


please let me know if there are any problems/questions/etc.

thanks!
	sean
-- 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Sean Finney <seanius@debian.org>:
You have taken responsibility. (Sat, 12 Sep 2009 20:24:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Bonfils <murlock42@gmail.com>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 20:24:06 GMT) Full text and rfc822 format available.

Message #181 received at 513204-close@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: 513204-close@bugs.debian.org
Subject: Bug#513204: fixed in mysql-dfsg-5.0 5.0.51a-24+lenny2+spu1
Date: Sat, 12 Sep 2009 19:59:47 +0000
Source: mysql-dfsg-5.0
Source-Version: 5.0.51a-24+lenny2+spu1

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg-5.0, which is due to be installed in the Debian FTP archive:

libmysqlclient15-dev_5.0.51a-24+lenny2+spu1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15-dev_5.0.51a-24+lenny2+spu1_amd64.deb
libmysqlclient15off_5.0.51a-24+lenny2+spu1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/libmysqlclient15off_5.0.51a-24+lenny2+spu1_amd64.deb
mysql-client-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
mysql-client_5.0.51a-24+lenny2+spu1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-client_5.0.51a-24+lenny2+spu1_all.deb
mysql-common_5.0.51a-24+lenny2+spu1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-common_5.0.51a-24+lenny2+spu1_all.deb
mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.diff.gz
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.diff.gz
mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.dsc
  to pool/main/m/mysql-dfsg-5.0/mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.dsc
mysql-server-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
mysql-server_5.0.51a-24+lenny2+spu1_all.deb
  to pool/main/m/mysql-dfsg-5.0/mysql-server_5.0.51a-24+lenny2+spu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513204@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sean Finney <seanius@debian.org> (supplier of updated mysql-dfsg-5.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Sep 2009 12:15:22 +0200
Source: mysql-dfsg-5.0
Binary: libmysqlclient15off libmysqlclient15-dev mysql-common mysql-client-5.0 mysql-server-5.0 mysql-server mysql-client
Architecture: source all amd64
Version: 5.0.51a-24+lenny2+spu1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Sean Finney <seanius@debian.org>
Description: 
 libmysqlclient15-dev - MySQL database development files
 libmysqlclient15off - MySQL database client library
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.0 - MySQL database client binaries
 mysql-common - MySQL database common files
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.0 - MySQL database server binaries
Closes: 477072 513204 524366
Changes: 
 mysql-dfsg-5.0 (5.0.51a-24+lenny2+spu1) stable-proposed-updates; urgency=low
 .
   [ Sean Finney ]
   * New patch 64_fix-dummy-thread-race-condition.dpatch to back out an
     unneeded workaround that causes segfaults in libmysqlclient15. Thanks
     to Martin Koegler for digging up the patch. (closes: #524366, #513204)
 .
   [ Norbert Tretkowski ]
   * New patch 65_fix_gis_functions_crash.dpatch from 5.0.82 to fix a server
     crash with arbitrary data input plus GIS functions. (closes: #477072)
Checksums-Sha1: 
 b5cf1eb3f7ec94758358b3daf4268dfe2d72a7e6 1757 mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.dsc
 62a336c2858a6e7092db6a3768fe27f9144aed2e 356132 mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.diff.gz
 21ece405be98b81121c77c56cf870450c1f519cf 61450 mysql-common_5.0.51a-24+lenny2+spu1_all.deb
 62b0ad6f8d3dec22e61111c1e6ff785d4799b65b 55292 mysql-server_5.0.51a-24+lenny2+spu1_all.deb
 43e2a2febb496dffbbf686171099482d7ebdb4e9 53096 mysql-client_5.0.51a-24+lenny2+spu1_all.deb
 bdff87b9b75160cdb210b7d8bd4f26381a1fa950 1905642 libmysqlclient15off_5.0.51a-24+lenny2+spu1_amd64.deb
 375f33bd468b5520aee29ab73ea223e3fd1e1118 7593604 libmysqlclient15-dev_5.0.51a-24+lenny2+spu1_amd64.deb
 6c2c26d74798f2495bc34bff653903a2e35d6785 8200058 mysql-client-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
 f3e9e67880b19480e25baa6e4500a39431899143 27298832 mysql-server-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
Checksums-Sha256: 
 1f8530cb003b2952df43b9f37453f042ddfe9941e60eb7cd01f5b5140bfb8687 1757 mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.dsc
 f5aea50984b9ef1657dc055efac8296a726006aa2d3433d20779742298c61b89 356132 mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.diff.gz
 09203058a45667e3ca0efb9eed400d258242ab6b9a6951a6e0d9d18df4797f71 61450 mysql-common_5.0.51a-24+lenny2+spu1_all.deb
 0cc94b731e235383e0596c71a324efa3a9f35d94d91ca855d2004b9734aa6997 55292 mysql-server_5.0.51a-24+lenny2+spu1_all.deb
 8363ad58277d8f8fcaa3722b72ba70ee5329d1c05606e6f4fa5d968b5fa4edbf 53096 mysql-client_5.0.51a-24+lenny2+spu1_all.deb
 b6432bd17bee84c6ae713898faadb6862e5d7dde601ba7bb15720c2044b587dc 1905642 libmysqlclient15off_5.0.51a-24+lenny2+spu1_amd64.deb
 3a4e5421b709e491f1f659f885bfda5bb1e7a46591debe978880d521e2e46bfd 7593604 libmysqlclient15-dev_5.0.51a-24+lenny2+spu1_amd64.deb
 656115d9a994c858545389021b899fa0bcae365446530c013dc8d3e7ba506352 8200058 mysql-client-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
 91cf1388dfb8d68dded9c19aa3dfe361b7c2441c44b4cf811d9d818d547239c0 27298832 mysql-server-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
Files: 
 aac4cf6ee6a5c22473b7439912f3648d 1757 misc optional mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.dsc
 383f6c9fd417d1fb75f8cd3503fd385d 356132 misc optional mysql-dfsg-5.0_5.0.51a-24+lenny2+spu1.diff.gz
 54b9a008916cc4a8f37c11deab2cc9c0 61450 misc optional mysql-common_5.0.51a-24+lenny2+spu1_all.deb
 f1f765cd8054b5f68b0088300a41db66 55292 misc optional mysql-server_5.0.51a-24+lenny2+spu1_all.deb
 d2470fcc8881df273ffed4b626963377 53096 misc optional mysql-client_5.0.51a-24+lenny2+spu1_all.deb
 32723b8cf8bbf17c17c18e1e06492734 1905642 libs optional libmysqlclient15off_5.0.51a-24+lenny2+spu1_amd64.deb
 0b62c07059b243e47055ce191366db9c 7593604 libdevel optional libmysqlclient15-dev_5.0.51a-24+lenny2+spu1_amd64.deb
 8de7eed3d59aee24b1befe7525478958 8200058 misc optional mysql-client-5.0_5.0.51a-24+lenny2+spu1_amd64.deb
 d27f0f34fe8743d3d4d871a1a7462a66 27298832 misc optional mysql-server-5.0_5.0.51a-24+lenny2+spu1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKpAZCynjLPm522B0RAn0UAKCGDlOdC3ZCtl+N24wzoilYr3VsCQCfUsso
Hzt4x61aPusqFi7PYQsuZN0=
=NaGT
-----END PGP SIGNATURE-----





Reply sent to Sean Finney <seanius@debian.org>:
You have taken responsibility. (Sat, 12 Sep 2009 20:24:06 GMT) Full text and rfc822 format available.

Notification sent to Simon Waters <simon@technocool.net>:
Bug acknowledged by developer. (Sat, 12 Sep 2009 20:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sun, 13 Sep 2009 19:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Noel T." <herrnoel@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 13 Sep 2009 19:33:06 GMT) Full text and rfc822 format available.

Message #191 received at 513204@bugs.debian.org (full text, mbox):

From: "Noel T." <herrnoel@yahoo.com>
To: 513204@bugs.debian.org
Subject: How to test?
Date: Sun, 13 Sep 2009 12:26:37 -0700 (PDT)
This is good news, but when will it be commonly available? I realize this is maybe not the most appropriate place to ask, but is there a way to install the spu package immediately through apt-get or dpkg right away?  Nothing shows up as amd specific packages in dpkg-query for any of these.

$ dpkg-query -l libmysql* |grep ii
ii  libmysqlclient15off               5.0.51a-24+lenny2          MySQL database client library

$ dpkg-query -l mysql* |grep ii
ii  mysql-client-5.0                  5.0.51a-24+lenny2          MySQL database client binaries
ii  mysql-common                      5.0.51a-24+lenny2          MySQL database common files
ii  mysql-server                      5.0.51a-24+lenny2          MySQL database server (metapackage depending
ii  mysql-server-5.0                  5.0.51a-24+lenny2          MySQL database server binaries


      




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Sun, 13 Sep 2009 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sun, 13 Sep 2009 20:51:06 GMT) Full text and rfc822 format available.

Message #196 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: "Noel T." <herrnoel@yahoo.com>, 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: How to test?
Date: Sun, 13 Sep 2009 22:46:44 +0200
[Message part 1 (text/plain, inline)]
hi noel,

just add this to your sources.list:

deb http://ftp.se.debian.org/debian lenny-proposed-updates main

i've checked and at least the i386 and amd64 builds are there, i'm not
sure if the other arches have been built yet.


	sean

On Sun, Sep 13, 2009 at 12:26:37PM -0700, Noel T. wrote:
> This is good news, but when will it be commonly available? I realize this is maybe not the most appropriate place to ask, but is there a way to install the spu package immediately through apt-get or dpkg right away?  Nothing shows up as amd specific packages in dpkg-query for any of these.
> 
> $ dpkg-query -l libmysql* |grep ii
> ii  libmysqlclient15off               5.0.51a-24+lenny2          MySQL database client library
> 
> $ dpkg-query -l mysql* |grep ii
> ii  mysql-client-5.0                  5.0.51a-24+lenny2          MySQL database client binaries
> ii  mysql-common                      5.0.51a-24+lenny2          MySQL database common files
> ii  mysql-server                      5.0.51a-24+lenny2          MySQL database server (metapackage depending
> ii  mysql-server-5.0                  5.0.51a-24+lenny2          MySQL database server binaries
> 
> 
>       
> 
> 
> 
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-php-maint
> 

-- 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sean Finney <seanius@alioth.debian.org> to control@bugs.debian.org. (Sun, 13 Sep 2009 22:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 16 Sep 2009 15:12:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 16 Sep 2009 15:12:24 GMT) Full text and rfc822 format available.

Message #203 received at 513204@bugs.debian.org (full text, mbox):

From: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
To: sean finney <seanius@debian.org>
Cc: 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: request for testing fix for #513204
Date: Wed, 16 Sep 2009 16:36:42 +0200
On 09/08/2009 11:43 AM, sean finney wrote:
> i was waiting until i recieved an acknowledgement from the archive
> software that the package was uploaded and approved, but i haven't
> yet recieved that.  i'm not sure if it's because it went into a black
> hole or that it needs manual review from the release team.  i'll double
> check on that now.

for the records, i installed the packages you uploaded:
> ii  libmysqlclient15off   5.0.51a-24+lenny2+spu1  MySQL database client library
> ii  mysql-client-5.0      5.0.51a-24+lenny2+spu1  MySQL database client binaries
> ii  mysql-common          5.0.51a-24+lenny2+spu1  MySQL database common files
> ii  mysql-server-5.0      5.0.51a-24+lenny2+spu1  MySQL database server binaries


i successfully ran 212100 iterations of:
> echo '<?php echo "toto tata \n";' | php;   

with mysql enabled:
> # php -i|grep -i mysql
> /etc/php5/cli/conf.d/mysql.ini,
> /etc/php5/cli/conf.d/mysqli.ini,
> /etc/php5/cli/conf.d/pdo_mysql.ini,
> mysql
> MySQL Support => enabled
> ...

do you have any information on when these patches will be pushed to
stable?

thanks,
raoul
-- 
____________________________________________________________________
DI (FH) Raoul Bhatia M.Sc.          email.          r.bhatia@ipax.at
Technischer Leiter

IPAX - Aloy Bhatia Hava OEG         web.          http://www.ipax.at
Barawitzkagasse 10/2/2/11           email.            office@ipax.at
1190 Wien                           tel.               +43 1 3670030
FN 277995t HG Wien                  fax.            +43 1 3670030 15
____________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#513204; Package php5-mysql. (Wed, 16 Sep 2009 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Wed, 16 Sep 2009 18:06:03 GMT) Full text and rfc822 format available.

Message #208 received at 513204@bugs.debian.org (full text, mbox):

From: sean finney <seanius@debian.org>
To: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
Cc: 513204@bugs.debian.org
Subject: Re: [php-maint] Bug#513204: request for testing fix for #513204
Date: Wed, 16 Sep 2009 17:51:27 +0200
[Message part 1 (text/plain, inline)]
hi raoul,

On Wed, Sep 16, 2009 at 04:36:42PM +0200, Raoul Bhatia [IPAX] wrote:
> do you have any information on when these patches will be pushed to
> stable?

stable-proposed-updates is effectively a staging area for the next stable
point release, so i'd guess whenever that happens.  realistically that's
probably a month or two out looking at the frequency of previous
point-releases for lenny (released + 3 updates so far this year).

i've also merged the change into the security branch for the package,
so if a security update for mysql happens before a stable point release,
then this will be another possible avenue for the update to reach
users[1]


	sean


[1] technically it too will not be "officially" part of stable until
the point release, but most stable users have security updates enabled...
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Oct 2009 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:30:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.